Bug 51614 - detecting wheelmice on PS2 laptops?
detecting wheelmice on PS2 laptops?
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Brent Fox
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-08-12 22:36 EDT by teuben
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-09-17 17:56:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description teuben 2001-08-12 22:36:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.2-2 i686)

Description of problem:
the installation program has gone through great strides since rh6,
but in normal rh62 i have not been able to get my wheelmouse to
work with imwheel. It seems that one needs an IMPS2 setup,
instead of PS2. However, when I do that, the mouse goes nuts 
because the touchpad cannot think of itself as an IMPS2. So
I feared roswell would not fare better.

It actually did seem to fare a little better, it installed
the 4th and 5th button for the wheel action in the XF86Config-4
file. But i fear i must have stumbled on a serious hardware
stumbling block.

The obvious solutions *seems* to be to disable the touchpad,
but I seem to remember that that didn't work. On my next
boot (that may take weeks, since linux is normally stable :-)
I will change that and check if rh71 is already able to copy
with this bettter. In the mean time, perhaps anaconda can warn
about such mice on laptops where people can have 2 (and now even
3) mice.

For reference: this is a Dell5000 Inspiron laptop.

How reproducible:
Didn't try

Steps to Reproduce:
1. n/a

Additional info:
Comment 1 Michael Fulbright 2001-08-13 11:17:04 EDT
I'm not following - you have a built in touchpad and an external wheelmouse
attached to a PS/2 port on the laptop?
Comment 2 teuben 2001-08-13 11:59:39 EDT
that's correct. The dell5000 has a builtin touchpad, which is a PS/2.
The wheelmouse is on the external  PS/2 port.

I had some initial comments/problems with kudzu when this mouse was on the USB
port, and switching back to PS/2 only mode causes some problems. That is
described in bug# 50921
Comment 3 Brent Fox 2001-08-14 14:47:18 EDT
All of the laptops that I've tested on disable the touchpad automatically when a
second mouse is plugged in.  For some reason, that doesn't seem to be happening
on your machine.  I don't know if this is something we can even fix.

We don't have a Dell 5000 in the test lab, so I can't get a reproducible test
scenario.  Deferring to a future release.
Comment 4 Michael Fulbright 2001-09-17 17:57:36 EDT
This hardware does not seem to have support (probably due to lack of free
documentation).  We cannot fix these problems unfortunately.

Note You need to log in before you can comment on or make changes to this bug.